package jp.co.y_net.amm.common;

import java.io.Serializable;
import java.util.List;

import org.apache.wicket.markup.html.form.ChoiceRenderer;
import org.apache.wicket.model.Model;

/**
 * ChoiceElement : ドロップダウンリストの要素
 *
 * @version 1.0.0
 * @author y.soga
 */
public class ChoiceElement implements Serializable {

	private static final long serialVersionUID = 6210226619432905234L;

	private String id;
	private String name;

	public ChoiceElement(String id,String name) {
		this.id = id;
		this.name = name;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
    /**
     * ドロップダウンリストに特定の値を選択させる
     * @param settingModel  指定するドロップダウンリストのModel
     * @param choices       選択リストコレクション
     * @param target        選択させる値
     */
    public static void setDropDownList(Model<ChoiceElement> settingModel,List<ChoiceElement> choices ,String target) {
        for (ChoiceElement che : choices) {
            if (che.getId().equals(target)==true) {
                settingModel.setObject(che);
            }
        }
    }
    
    public static class Renderer extends ChoiceRenderer<ChoiceElement>{
        public Renderer() {
            super("name","id");
        }
    }
}

